Bug 1236705

Summary: Update josm to 8677
Product: [Fedora] Fedora Reporter: jibecfed <jean-baptiste>
Component: josmAssignee: Cédric OLIVIER <cedric.olivier>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 22CC: cedric.olivier, jgrulich, ludovic, mcepl, mesat
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: josm-0-0.69.9060svn.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-28 18:30:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1276629    
Bug Blocks: 1275096    

Description jibecfed 2015-06-29 18:46:28 UTC
Can you please update Josm to latest upstream stable version ?

The actual version in dnf is 7906, that is from 2014-12-29 -> 6 month late.
Some plugins are not installable anymore, what is quite annoying ;)

This last version r8491 use java 8 by default, it may have an inpact : https://josm.openstreetmap.de/wiki/Changelog

Thank for your help.

Comment 1 jibecfed 2015-08-22 15:11:34 UTC
update ticket has it is since 22th of august : 8677

Comment 2 Robin Laing 2015-10-10 22:35:46 UTC
Current version is now 8800.  

From JOSM web site.
2015-09-28 (stable version 15.09)

Comment 3 Robin Laing 2015-10-10 22:45:41 UTC
Further,
Replaced /usr/share/java/josm.jar  with the one from josm download site.  Works with the menu icon.  Should be an easy update.

Comment 4 Ludovic Hirlimann [:Paul-muadib] 2015-10-26 11:33:41 UTC
Would :
[ludo@Oulanl josm]$ git diff
diff --git a/josm.spec b/josm.spec
index 8f5c439..ef8ce37 100644
--- a/josm.spec
+++ b/josm.spec
@@ -1,7 +1,7 @@
 #
 # spec file for package josm
 
-%global svn_revision 8109
+%global svn_revision 8800
 
 
 Name:           josm
 be enough ?

Comment 5 Cédric OLIVIER 2015-10-26 12:44:28 UTC
No isn't enough. 

JOSM upstream added a new requirement : org.apache.commons.jcs. 

Unfortunately, this requirement is not yet packaged in fedora : https://commons.apache.org/proper/commons-jcs/

Regards

Comment 6 Ludovic Hirlimann [:Paul-muadib] 2015-10-26 20:03:55 UTC
(In reply to Cédric OLIVIER from comment #5)

> Unfortunately, this requirement is not yet packaged in fedora :
> https://commons.apache.org/proper/commons-jcs/

do you pla on packaging it ?

Comment 7 Fedora Update System 2015-12-09 10:13:23 UTC
josm-0-0.69.9060svn.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-abefa4b330

Comment 8 Fedora Update System 2015-12-10 04:55:24 UTC
josm-0-0.69.9060svn.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update josm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-abefa4b330

Comment 9 jibecfed 2016-01-15 19:27:24 UTC
Hi there, can you push it to stable please ?

Comment 10 Fedora Update System 2016-01-28 18:30:23 UTC
josm-0-0.69.9060svn.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Cédric OLIVIER 2016-03-14 17:08:30 UTC
Josm up to date version pushed to stable